Get the persistent id

- « ZMQSocket::getEndpoints

- ZMQSocket::getSocketType »

- PHP Manual
- ZMQSocket
- Get the persistent id

# ZMQSocket::getPersistentId

(PECL zmq >= 0.5.0)

ZMQSocket::getPersistentId — Get the persistent id

### Description

public ZMQSocket::getPersistentId(): string

Returns the persistent id of the socket.

### Parameters

This function has no parameters.

### Return Values

Returns the persistent id string assigned of the object and `null` if socket is not persistent.